package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElPaperQuAnswer;

/**
 * 试卷题目答案Mapper接口
 *
 * @author ssy
 * @date 2024-05-29
 */
public interface TElPaperQuAnswerMapper
{
    /**
     * 查询试卷题目答案
     *
     * @param id 试卷题目答案ID
     * @return 试卷题目答案
     */
    public TElPaperQuAnswer selectTElPaperQuAnswerById(Long id);

    /**
     * 查询试卷题目答案列表
     *
     * @param tElPaperQuAnswer 试卷题目答案
     * @return 试卷题目答案集合
     */
    public List<TElPaperQuAnswer> selectTElPaperQuAnswerList(TElPaperQuAnswer tElPaperQuAnswer);

    /**
     * 新增试卷题目答案
     *
     * @param tElPaperQuAnswer 试卷题目答案
     * @return 结果
     */
    public int insertTElPaperQuAnswer(TElPaperQuAnswer tElPaperQuAnswer);

    /**
     * 修改试卷题目答案
     *
     * @param tElPaperQuAnswer 试卷题目答案
     * @return 结果
     */
    public int updateTElPaperQuAnswer(TElPaperQuAnswer tElPaperQuAnswer);

    /**
     * 删除试卷题目答案
     *
     * @param id 试卷题目答案ID
     * @return 结果
     */
    public int deleteTElPaperQuAnswerById(Long id);

    /**
     * 批量删除试卷题目答案
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElPaperQuAnswerByIds(Long[] ids);

    List<TElPaperQuAnswer> selectTElPaperQuAnswerListByExam(TElPaperQuAnswer param);

    List<TElPaperQuAnswer> selectTElPaperQuAnswerListByPaper(TElPaperQuAnswer a);
}
